package net.rzdata.exception;

/**
 * 客户端异常
 */
public non-sealed class ClientException extends BaseException {

    public static final String CLIENT_ERROR_CODE = "A0001";

    public ClientException(String message) {
        super(CLIENT_ERROR_CODE, message);
    }

    public ClientException(String message, Throwable cause) {
        super(CLIENT_ERROR_CODE, message, cause);
    }

    protected ClientException(String code, String message) {
        super(code, message);
    }

    protected ClientException(String code, String message, Throwable cause) {
        super(code, message, cause);
    }
}
