create table dict
(
    id        varchar(64)               not null comment '字典主键',
    label     varchar(255)              not null comment '字典标签',
    value     varchar(255)              not null comment '字典键值',
    type      varchar(255)              not null comment '字典类型',
    sort      int         default 1     not null comment '字典排序',
    disabled  bool        default false not null comment '是否停用',
    parent_id varchar(64) default 0     not null comment '父级字典主键',
    constraint table_name_pk primary key (id),
    constraint table_name_uk_type_value unique (type, value)
) comment '字典';

