package net.rzdata.exception;

/**
 * 服务端异常
 */
public non-sealed class ServerException extends BaseException {

    public static final String SERVER_ERROR_CODE = "B0001";

    public ServerException(String message) {
        super(SERVER_ERROR_CODE, message);
    }

    public ServerException(String message, Throwable cause) {
        super(SERVER_ERROR_CODE, message, cause);
    }

    protected ServerException(String code, String message) {
        super(code, message);
    }

    protected ServerException(String code, String message, Throwable cause) {
        super(code, message, cause);
    }
}
